Debian Bug report logs - #400445
libxdamage1: calls UnlockDisplay and SyncHandle when it shouldn't

version graph

Package: libxdamage1; Maintainer for libxdamage1 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxdamage1 is src:libxdamage.

Reported by: Jamey Sharp <sharpone@debian.org>

Date: Sun, 26 Nov 2006 10:27:36 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version libxdamage/1:1.0.3-2

Fixed in version libxdamage/1:1.0.3-3

Done: Jamey Sharp <sharpone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400445; Package libxdamage1. Full text and rfc822 format available.

Acknowledgement sent to Jamey Sharp <sharpone@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxdamage1: calls UnlockDisplay and SyncHandle when it shouldn't
Date: Sun, 26 Nov 2006 02:15:32 -0800
[Message part 1 (text/plain, inline)]
Package: libxdamage1
Version: 1:1.0.3-2
Severity: important
Tags: upstream fixed-upstream patch

libXdamage calls UnlockDisplay and SyncHandle without a matching
LockDisplay.  This causes a locking correctness assertion failure with
libX11 1.1 and Xlib/XCB in experimental, and will become RC after the
etch release when libX11 1.1 enters unstable.

http://gitweb.freedesktop.org/?p=xorg/lib/libXdamage.git;a=commitdiff_plain;h=31829be123a9ce58bf8e0c4718815b7b63d0d512

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libxdamage1 depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libx11-6                     2:1.0.3-3   X11 client-side library
ii  libxfixes3                   1:4.0.1-4   X11 miscellaneous 'fixes' extensio
ii  x11-common                   1:7.1.0-7   X Window System (X.Org) infrastruc

libxdamage1 recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jamey Sharp <sharpone@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 400445-close@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: 400445-close@bugs.debian.org
Subject: Bug#400445: fixed in libxdamage 1:1.0.3-3
Date: Tue, 28 Nov 2006 01:02:15 +0000
Source: libxdamage
Source-Version: 1:1.0.3-3

We believe that the bug you reported is fixed in the latest version of
libxdamage, which is due to be installed in the Debian FTP archive:

libxdamage-dev_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage-dev_1.0.3-3_i386.deb
libxdamage1-dbg_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage1-dbg_1.0.3-3_i386.deb
libxdamage1_1.0.3-3_i386.deb
  to pool/main/libx/libxdamage/libxdamage1_1.0.3-3_i386.deb
libxdamage_1.0.3-3.diff.gz
  to pool/main/libx/libxdamage/libxdamage_1.0.3-3.diff.gz
libxdamage_1.0.3-3.dsc
  to pool/main/libx/libxdamage/libxdamage_1.0.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamey Sharp <sharpone@debian.org> (supplier of updated libxdamage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 16:07:41 -0800
Source: libxdamage
Binary: libxdamage-dev libxdamage1-dbg libxdamage1
Architecture: source i386
Version: 1:1.0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
Description: 
 libxdamage-dev - X11 damaged region extension library (development headers)
 libxdamage1 - X11 damaged region extension library
 libxdamage1-dbg - X11 damaged region extension library (debug package)
Closes: 400445
Changes: 
 libxdamage (1:1.0.3-3) unstable; urgency=low
 .
   * calls UnlockDisplay and SyncHandle when it shouldn't (Closes:
     #400445)
   * Add Josh and myself to Uploaders.
   * Enable xsfbs patch application.
   * Add quilt to Build-Depends.
Files: 
 6cee8dcbab16691a209a11f083ec0176 962 x11 optional libxdamage_1.0.3-3.dsc
 8f6eecf807cd8b63dadeb23595fe9b58 17953 x11 optional libxdamage_1.0.3-3.diff.gz
 a3b986156bc9554735d7f61f48d55dca 6434 x11 optional libxdamage1_1.0.3-3_i386.deb
 d3d3875eaaa6d80a1b82b3e6b3794c70 21222 x11 extra libxdamage1-dbg_1.0.3-3_i386.deb
 08208945b432a70ff347d3814aade759 6196 x11 optional libxdamage-dev_1.0.3-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFa35/p1aplQ4I9mURAhB1AJ9F666ElbNlzLfPQItbX8O59p6yAgCeMsDQ
bIIhXNhHqDC/BU1SPEH4nh8=
=3wSk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:10:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:12:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.